package com.usoftchina.bi.server.model.vo.configVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 用户权限设置传输对象DTO
 * @Author chenwei
 * @Date 2019-05-13
 */
@ApiModel("用户(组)权限设置传输对象")
public class UserPowerInfo implements Serializable {

    /**
     * 数据库权限记录id,插入语句使用
     */
    @ApiModelProperty(value = "数据库权限记录id,前端不用传")
    private int id;

    @ApiModelProperty(value = "用户ID或用户组ID")
    private int bizId;

    @ApiModelProperty(value = "标识用户/用户组；0:用户组,1:用户")
    private int type;

    @ApiModelProperty(value = "报表ID")
    private int dashboardId;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getBizId() {
        return bizId;
    }

    public void setBizId(int bizId) {
        this.bizId = bizId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getDashboardId() {
        return dashboardId;
    }

    public void setDashboardId(int dashboardId) {
        this.dashboardId = dashboardId;
    }
}
